# Fetch permissions in a Workspace

Gets less common project permissions for the authenticated user.
This endpoint returns structured Workspace objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `workspaces` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: GET /workspaces/{id}/permissions
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Response 200:

  - `200` (unknown)
    A list of Workspaces have been retrieved.

## Response 200 fields (application/json):

  - `can_change_budgetability` (boolean)
    Whether the user has permission to change the project budget settings.

  - `can_change_currency` (boolean)
    Whether currency can be changed for the project.

  - `can_change_time_approvals` (boolean)
    Whether the user has permission to change the time approval settings, and whether changing time
approval settings is allowed in the project.

  - `can_change_expense_approvals` (boolean)
    Whether the user has permission to change the expense approval settings, and whether changing the
expense approval settings is allowed in the project.

  - `can_edit_change_orders` (boolean)
    Whether project change orders can be disabled.

  - `can_edit_project_settings` (boolean)
    Whether the user has permission to edit settings in the project.

  - `can_edit_team_names` (boolean)
    Whether the user has permission to edit team names in the project.

  - `can_manage_invoice_preferences` (boolean)
    Whether the user has permission to edit invoice preferences in the project.

  - `can_manage_finance` (boolean)
    Whether the user has permission (and the account has access) to project finance settings.

  - `can_view_insights_dynamic_dashboards` (boolean)
    Whether the user has permission to view dynamic dashboards on the account.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

